Add link to source code of each Discovery dashboard on the dashboard itself, so people know where to go to contribute
Closed, ResolvedPublic1 Story Points

Description

I wanted to submit a patch to fix a typo, but there was no link to where the source code was...

Legoktm created this task.Nov 13 2015, 7:58 AM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added a project: Discovery.
Legoktm added a subscriber: Legoktm.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 13 2015, 7:58 AM
Deskana moved this task from Needs triage to Analysis on the Discovery board.Dec 4 2015, 5:16 AM
Deskana renamed this task from Add link to source code of http://discovery.wmflabs.org/wdqs/ on dashboard itself to Add link to source code of each Discovery dashboard on the dashboard itself, so people know where to go to contribute.
Deskana set Security to None.
Deskana triaged this task as Low priority.
Deskana added a subscriber: Deskana.

Low priority, but also pretty simple, so we may get the opportunity to knock this one out soon.

Um, could you at least say where the source code for http://discovery.wmflabs.org/wdqs is?

Um, could you at least say where the source code for http://discovery.wmflabs.org/wdqs is?

No. I've never contributed code to the repository, so I don't know where it is; if I did know, I would've just said so.

Okay. @wctaiwan did some digging and found that it's a submodule of https://github.com/wikimedia/wikimedia-discovery-dashboard/tree/master/shiny-server, which led me to:

[submodule "shiny-server/metrics"]
	path = shiny-server/metrics
	url = https://gerrit.wikimedia.org/r/wikimedia/discovery/rainbow.git
[submodule "shiny-server/wdqs"]
	path = shiny-server/wdqs
	url = https://gerrit.wikimedia.org/r/wikimedia/discovery/twilightsparql.git
[submodule "shiny-server/maps"]
	path = shiny-server/maps
	url = https://gerrit.wikimedia.org/r/wikimedia/discovery/wetzel
[submodule "shiny-server/external"]
	path = shiny-server/external
	url = https://gerrit.wikimedia.org/r/wikimedia/discovery/wonderbolt
[submodule "shiny-server/portal"]
	path = shiny-server/portal
	url = https://gerrit.wikimedia.org/r/wikimedia/discovery/prince

Yay! Marking as Easy now.

Nemo_bis removed a subscriber: Easy.

This can just go right at the bottom of each page, where the URL to link to the dashboard. Or maybe even just the home page. Either works.

mpopov claimed this task.
mpopov edited a custom field.
Deskana closed this task as Resolved.Dec 16 2015, 6:04 AM

Patch that actually ended up resolving this task was: https://gerrit.wikimedia.org/r/#/c/258977/